// vim:set tabstop=4 shiftwidth=4 noexpandtab:
/*
Gwenview - A simple image viewer for KDE
Copyright 2000-2004 Aur�ien G�eau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef FULLSCREENBAR_H
#define FULLSCREENBAR_H   

// KDE
#include <ktoolbar.h>

class QResizeEvent;
class QShowEvent;
class QString;

namespace Gwenview {
class FullScreenBar : public KToolBar {
Q_OBJECT
public:
	FullScreenBar(QWidget* parent);
	~FullScreenBar();

	void slideIn();
	void slideOut();

protected:
	virtual void resizeEvent(QResizeEvent*);
	virtual void showEvent(QShowEvent*);

private slots:
	void slotUpdateSlide();

private:
	class Private;
	Private* d;
};

} // namespace
#endif /* FULLSCREENBAR_H */

